local i=require"luci.model.tasks"
local o=require"luci.model.jellyfin"
local a,t,e
a=i.docker_map("jellyfin","jellyfin","/usr/libexec/istorec/jellyfin.sh",
translate("Jellyfin"),
translate("Jellyfin is the volunteer-built media solution that puts you in control of your media. Stream to any device from your own server, with no strings attached. Your media, your server, your way.")
..translate("Official website:")..' <a href=\"https://jellyfin.org/\" target=\"_blank\">https://jellyfin.org/</a>'
.."<dl><dt>"..translate("When using the default image, the following models support hardware transcoding without configuration in Jellyfin:").."</dt>"
.."<dd>- Easepi ARS2</dd>"
.."<dd>- "..translate("RK35xx series (e.g. R6S, R5S, R68s, R66s, H28K, etc.) with iStoreOS firmware (version 20221123 and above). Other firmwares require MPP and RGA to be turned on, and are not guaranteed to be available.").."</dd>"
.."<dt>"..translate("The following models may support hardware transcoding by referring to the official Jellyfin documentation:").."</dt>"
.."<dd>- "..translate("x86 series").."</dd>"
.."<dd>- "..translate("Raspberry Pi series").."</dd>"
.."</dl>")
t=a:section(SimpleSection,translate("Service Status"),translate("Jellyfin status:"))
t:append(Template("jellyfin/status"))
t=a:section(TypedSection,"jellyfin",translate("Setup"),
translate("The initial installation of Jellyfin requires at least 2GB of space, please make sure that the Docker data directory has enough space. It is recommended to migrate Docker to a hard drive before installing Jellyfin.")
.."<br>"..translate("The following parameters will only take effect during installation or upgrade:"))
t.addremove=false
t.anonymous=true
e=t:option(Value,"image",translate("Image"))
e.datatype="string"
e:value("",translate("Default"))
if luci.sys.call("grep -q 'rockchip,' /proc/device-tree/compatible 2>/dev/null")==0 then
e:value("jjm2473/jellyfin-mpp","jjm2473/jellyfin-mpp")
e:value("nyanmisaka/jellyfin:latest-rockchip","nyanmisaka/jellyfin:latest-rockchip")
end
e:value("jellyfin/jellyfin","jellyfin/jellyfin")
e:value("linuxserver/jellyfin","linuxserver/jellyfin")
if luci.sys.call("uname -m |grep -qw x86_64")==0 then
e:value("nyanmisaka/jellyfin","nyanmisaka/jellyfin")
end
e=t:option(Flag,"hostnet",translate("Host network"),translate("Jellyfin running in host network, for DLNA application, port is always 8096 if enabled"))
e.default=0
e.rmempty=false
e=t:option(Value,"port",translate("Port").."<b>*</b>")
e.default="8096"
e.datatype="port"
e:depends("hostnet",0)
local n=o.blocks()
local i=o.home()
e=t:option(Value,"config_path",translate("Config path").."<b>*</b>")
e.rmempty=false
e.datatype="string"
local s,h=o.find_paths(n,i,"Configs")
for a,t in pairs(s)do
e:value(t,t)
end
e.default=h
e=t:option(Value,"media_path",translate("Media path"),translate("Not required, all disk is mounted in").." <a href='/cgi-bin/luci/admin/services/linkease/file/?path=/root/mnt' target='_blank'>/mnt</a>")
e.datatype="string"
e=t:option(Value,"cache_path",translate("Transcode cache path"),translate("Default use 'transcodes' in 'config path' if not set, please make sure there has enough space"))
e.datatype="string"
local t,o=o.find_paths(n,i,"Caches")
for a,t in pairs(t)do
e:value(t,t)
end
return a
